Show / Hide Table of Contents

# Interface IRequest

Represents a generic request to be sent to Discord.

###### Namespace: Discord.Net

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public interface IRequest

### Properties

| Improve this Doc View Source

#### Options

##### Declaration

    RequestOptions Options { get; }

##### Property Value

Type | Description
--- | ---
RequestOptions |

| Improve this Doc View Source

#### TimeoutAt

##### Declaration

    DateTimeOffset? TimeoutAt { get; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.DateTimeOffset> |